#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EProvideDeckFeedbackPreference {
    Unset = 0,
    Yes = 1,
    No = 2,
}

impl EProvideDeckFeedbackPreference {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unset as i32 => Some(Self::Unset),
            x if x == Self::Yes as i32 => Some(Self::Yes),
            x if x == Self::No as i32 => Some(Self::No),
            _ => None,
        }
    }
}
